[Vm-dev] [commit][2991] Add a makeallinstall for the mac build.

commits at squeakvm.org commits at squeakvm.org
Wed Jun 11 22:47:09 UTC 2014


Revision: 2991
Author:   eliot
Date:     2014-06-11 15:47:09 -0700 (Wed, 11 Jun 2014)
Log Message:
-----------
Add a makeallinstall for the mac build.

Added Paths:
-----------
    branches/Cog/build.macos32x86/makeallinstall

Added: branches/Cog/build.macos32x86/makeallinstall
===================================================================
--- branches/Cog/build.macos32x86/makeallinstall	                        (rev 0)
+++ branches/Cog/build.macos32x86/makeallinstall	2014-06-11 22:47:09 UTC (rev 2991)
@@ -0,0 +1,13 @@
+#!/bin/bash
+trap 'exit 2' HUP INT PIPE TERM 0
+REV=`grep 'SvnRawRevisionString.*Rev:' "$1/Cross/vm/sqSCCSVersion.h" \
+	| sed 's/^.*Rev: \([0-9][0-9]*\) $";/\1/'`
+TAG=`date +%g.%U.`$REV
+for d in newspeak.*/installer squeak.*/installer; do
+	if test -d "$d"; then
+		(cd $d;make)
+		test -f $PRODUCT && mv $PRODUCT ../products
+	else
+		echo no $d directory found
+	fi
+done


Property changes on: branches/Cog/build.macos32x86/makeallinstall
___________________________________________________________________
Added: svn:executable
   + *



More information about the Vm-dev mailing list